Package org.jboss.logmanager.config

# Interface PojoConfiguration

All Superinterfaces:
  `NamedConfigurable`, `ObjectConfigurable<Object>`, `PropertyConfigurable`

public interface PojoConfiguration extends NamedConfigurable, PropertyConfigurable, ObjectConfigurable<Object>

Author:
  James R. Perkins

## Method Summary

### Methods inherited from interface org.jboss.logmanager.config.NamedConfigurable

`getName`

### Methods inherited from interface org.jboss.logmanager.config.ObjectConfigurable

`getClassName, getInstance, getModuleName`

### Methods inherited from interface org.jboss.logmanager.config.PropertyConfigurable

`addPostConfigurationMethod, getConstructorProperties, getPostConfigurationMethods, getPropertyNames, getPropertyValueExpression, getPropertyValueString, hasConstructorProperty, hasProperty, removePostConfigurationMethod, removeProperty, setPostConfigurationMethods, setPostConfigurationMethods, setPropertyValueExpression, setPropertyValueExpression, setPropertyValueString`